%bcond_with bootstrap

Name:           maven-jar-plugin
Version:        3.3.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Maven JAR Plugin
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-jar-plugin/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
%endif

%description
Builds a Java Archive (JAR) file from the compiled
project classes and resources.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
# System version of maven-jar-plugin should be used, not reactor version
%pom_xpath_inject pom:pluginManagement/pom:plugins "<plugin><artifactId>maven-jar-plugin</artifactId><version>SYSTEM</version></plugin>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Wed May 22 2024 ns80 <ns80> 3.3.0-1.mga10
+ Revision: 2066134
- new version 3.3.0 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.2.2-2.mga9
+ Revision: 1871254
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.2.2-1.mga9
+ Revision: 1870705
- New version 3.2.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1621473
- Update to version 3.2.0
- Rebuilt for JDK-11

* Sat Feb 15 2020 umeabot <umeabot> 3.1.2-2.mga8
+ Revision: 1528622
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 3.1.2-1.mga8
+ Revision: 1431571
- Update to version 3.1.2

* Thu Dec 13 2018 neoclust <neoclust> 3.1.0-3.mga7
+ Revision: 1341006
- Rebuild with new plexus-archiver

* Thu Dec 13 2018 daviddavid <daviddavid> 3.1.0-2.mga7
+ Revision: 1340892
- rebuild against current java stack

* Wed Nov 14 2018 guillomovitch <guillomovitch> 3.1.0-1.mga7
+ Revision: 1329940
- new version 3.1.0

* Wed Sep 19 2018 umeabot <umeabot> 3.0.2-4.mga7
+ Revision: 1264062
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0.2-3.mga6
+ Revision: 1101375
- Rebuild maven-* packages

* Tue May 09 2017 neoclust <neoclust> 3.0.2-2.mga6
+ Revision: 1099869
- New version 3.0.2
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.6-3.mga6
+ Revision: 977331
- First rebuild of the java stack
- sync package maven-jar-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.5-1.mga5
+ Revision: 807796
- Sync with Fedora 21 (update to 2.5)

* Tue Dec 30 2014 daviddavid <daviddavid> 2.4-8.mga5
+ Revision: 807385
- add missing BuildRequires on maven-plugin-plugin
- rebuild against current java stack
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 2.4-5.mga4
+ Revision: 565092
- Build with xmvn

* Sat Oct 19 2013 umeabot <umeabot> 2.4-4.mga4
+ Revision: 529209
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 dmorgan <dmorgan> 2.4-3.mga4
+ Revision: 450976
- Install license files
- Use generated maven file lists
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ gil <gil>
- update to 2.4

* Sun Dec 25 2011 dmorgan <dmorgan> 2.3.2-1.mga2
+ Revision: 187578
- New version 2.3.2
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.1-3.mga1
+ Revision: 92706
- Rebuild after bootstrapping
- imported package maven-jar-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3.1-1
- Update to 2.3.1.
- Keep plexus-container-default on the dependency tree.
- Drop depmap - not needed now.

* Wed May 19 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-3
- Add depmap.

* Wed May 19 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-2
- Requires maven-shared-archiver.

* Thu May 13 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-1
- Initial package
